Sunday, April 3, 2005

An Unfortunate Consequence


exarkun@boson:~$ python
Python 2.4.1 (#2, Mar 30 2005, 21:51:10)
[GCC 3.3.5 (Debian 1:3.3.5-8ubuntu2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from twisted.python.components import Interface
>>> from zope.interface import Interface as Interface2
>>> class IA(Interface): pass
...
>>> class IB(Interface2): pass
...
>>> IB(IA, None)
__main__:1: ComponentsDeprecationWarning: Don't get attributes (in this
case, '__conform__') off Interface, use .queryDescriptionFor() etc. instead
/usr/lib/python2.4/site-packages/zope/interface/interface.py:676: ComponentsDeprecationWarning:
Don't get attributes (in this case, '__provides__') off Interface, use .queryDescriptionFor()
etc. instead
adapter = self.__adapt__(obj)
>>>


I wonder how nicely to silence that warning...

1 comment: